List orchestration addresses
curl --request GET \
--url https://production.hifibridge.com/v2/users/{userId}/orchestration-addresses \
--header 'Authorization: Bearer <token>'import requests
url = "https://production.hifibridge.com/v2/users/{userId}/orchestration-addresses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://production.hifibridge.com/v2/users/{userId}/orchestration-addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"records": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address": "0xAbC0123456789AbCdEf0123456789AbCdEf01234",
"source": {
"chain": "BASE"
},
"destination": {
"currency": "usd",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"schedule": {
"nextRunAt": "2023-11-07T05:31:56Z"
},
"thresholdAmount": "100.00",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deactivatedAt": "2023-11-07T05:31:56Z",
"balance": {
"currency": "usdc",
"amount": "100.500000"
}
}
],
"nextCursor": "2023-11-07T05:31:56Z"
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}Orchestration Addresses
List orchestration addresses
Return all orchestration addresses owned by the user, most recent first.
Includes both ACTIVE and DEACTIVATED addresses.
GET
/
v2
/
users
/
{userId}
/
orchestration-addresses
List orchestration addresses
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the user
Query Parameters
Cursor for the next page. Pass the previous response's nextCursor value to return records created strictly before that timestamp.
Maximum number of records to return. 1–200, defaults to 50.
Required range:
1 <= x <= 200Response
A paginated list of orchestration addresses for the user.
⌘I